org.apache.felix.ipojo.annotations

## Annotation Type HandlerDeclaration

    @Target(value={TYPE,ANNOTATION_TYPE})
    public @interface HandlerDeclaration

This annotation is used to configure a handler through XML (as in metadata.xml).

         @Component
          @HandlerDeclaration("<ns:my-handler attribute='value' xmlns:ns='http://www.acme.com/ipojo/ns'/>")
         public class MyComponent {
             // ...
         }

Author:
  Felix Project Team

### Required Element Summary

Required Elements
`String` `value` The content of this attribute represents the XML that would be used in the metadata.xml.

### Element Detail

#### value

    public abstract String value

The content of this attribute represents the XML that would be used in the metadata.xml. It must be a root XML Element, namespaces are allowed and so for child elements.